Subject: RE: [BEEPwg] Lightweight RPC over BEEP

From: Francis Brosnan Blazquez <[email-masked]>
Date: Tue, 03 Jan 2006 20:04:45 +0100

El lun, 02-01-2006 a las 11:09 +0000, Jonathan Perret escribió:
> Francis,

Hi Jonathan, Peter,

> 
> Sorry if I do not read you correctly, but it does not seem to me that
> DNS-SD matches your description above :
> - "centralized" : DNS-SD fits very well on top of the totally
> decentralized Multicast-DNS. In fact DNS-SD+Multicast-DNS = Apple's
> "Bonjour" (ex-"Rendezvous") stack, widely acclaimed as a neat
> standards-based solution to the service discovery problem.
> - "same host" : the point of DNS-SD is that you're not looking for a
> host but a service - the location of that service may change from
> minute to minute (and DNS-SD APIs generally provide alerts to client
> software to let them know about updates to service topology). Of
> course nothing prevents you from restricting your search to the local
> host if that's what you need.

A bit of reading before sending my response have showed that DNS-SD/mDNS
are likely to be the especification we were looking for. I'm impressed
about the zeroconf working group whole definition, reusing
existing/standard technologies, and the amount of projects/people that
are implementing/interested on it! 

> 
> > But, at the client side, to perform desktop IPC between 
> > applications to compose bigger ones running on top of Af-Arch 
> > we have realized that, already being attached to a BEEP 
> > engine, why don't use that engine to connect to other 
> > components thourgh an lightweigh RPC rather than going to use 
> > other IPC?
> 
> That's a fine idea but as you seem to have recognized already, the
> choice of the BEEP protocol is orthogonal to the choice of a discovery
> mechanism.
> 
> Surely you know about Apple's Xgrid ? Probably the most
> widely-deployed BEEP application these days (or ever, for that
> matter !). It uses BEEP for transport and DNS-SD for discovery.
> 

No!, I didn't. I've been reading Bonjour and Xgrind specs and they are
lovely works. 

Jonathan, Peter, 
Thanks for your replies!

> Cheers,
> --Jonathan
-- 
Francis Brosnan Blazquez <[email-masked]>
Advanced Software Production Line, S.L.

_______________________________________________
BEEPwg mailing list
[email-masked]
http://drakken.dbc.mtview.ca.us/mailman/listinfo/beepwg